import { genComponentStyleHook as r } from "../../utils/cssinjs/index.mjs";
import { genCheckboxStyle as o } from "./checkbox.mjs";
import { genNumberStyle as t } from "./number.mjs";
import { genRadioStyle as m } from "./radio.mjs";
import { genSelectStyle as l } from "./select.mjs";
import { genTextareaStyle as p } from "./textarea.mjs";
const a = r("ApField", (e) => [
  o(e),
  t(e),
  m(e),
  p(e),
  l(e)
]);
export {
  a as default
};
